Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 14712)
@@ -27,4 +27,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation using city coordinates.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("3AEBFA31-DAF2-42B6-A948-618E4D717C74")]
   public interface ITSPCoordinatesPathEvaluator : ITSPPathEvaluator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs	(revision 14712)
@@ -26,4 +26,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation using a distance matrix.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("7138507C-119A-48F8-8844-AFC355A6AE44")]
   public interface ITSPDistanceMatrixEvaluator : ITSPPathEvaluator {
     ILookupParameter<DistanceMatrix> DistanceMatrixParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs	(revision 14712)
@@ -26,4 +26,5 @@
   /// An interface which represents an evaluation operator for Traveling Salesman Problems.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("BFCA45EA-E8C1-4A53-A09A-C022CC282683")]
   public interface ITSPEvaluator : ISingleObjectiveEvaluator { }
 }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.TravelingSalesman {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("CBE968CC-BF91-4F2A-9CB4-9205B6271ECC")]
   public interface ITSPMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     Type EvaluatorType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 14712)
@@ -27,4 +27,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("684C011F-D380-4FEF-9827-84A7AE3AD85E")]
   public interface ITSPPathEvaluator : ITSPEvaluator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Problems.TravelingSalesman {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("35F8F0D7-3EFD-48C8-9198-C5ACD5BEB790")]
   public interface ITSPPathMoveEvaluator : ITSPMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
